Package javax.mail.search

# Class SearchTerm

java.lang.Object
javax.mail.search.SearchTerm

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AddressTerm`, `AndTerm`, `ComparisonTerm`, `FlagTerm`, `GmailMsgIdTerm`, `GmailThrIdTerm`, `ModifiedSinceTerm`, `NotTerm`, `OlderTerm`, `OrTerm`, `StringTerm`, `YoungerTerm`

public abstract class SearchTerm extends Object implements Serializable
Search criteria are expressed as a tree of search-terms, forming a parse-tree for the search expression.

Search-terms are represented by this class. This is an abstract class; subclasses implement specific match methods.

Search terms are serializable, which allows storing a search term between sessions. Warning: Serialized objects of this class may not be compatible with future Jakarta Mail API releases. The current serialization support is appropriate for short term storage.

Author:
  Bill Shannon, John Mani
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SearchTerm()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`match(Message msg)`
This method applies a specific match criterion to the given message and returns the result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchTerm

public SearchTerm()

## Method Details

### match

public abstract boolean match(Message msg)
This method applies a specific match criterion to the given message and returns the result.

Parameters:
  `msg` - The match criterion is applied on this message
Returns:
  true, it the match succeeds, false if the match fails